Bug 111024 - bad source code
Summary: bad source code
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: pccts   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-26 15:29 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-27 10:32:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2003-11-26 15:29:47 UTC
Description of problem:
I just tried to compile package pccts-1_33mr33-6 from Fedora.

The compiler said

antlr.c(36): remark #592: variable "a" is used before its value is set

The source code is

	ANTLR_INFO

but in file ../BUILD/pccts/h/antlr.h is the following

#define ANTLR_INFO      \
        Attrib zzempty_attr(void) {static Attrib a; return a;} \

I'm not sure what the fix is for this.




Version-Release number of selected component (if applicable):
pccts-1_33mr33-6 

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.